// peeker.cpp -- některé metody z istream
#include <iostream>

int main()
{
	using std::cout;
	using std::cin;
	using std::endl;

//	čte a zobrazuje vstup až do znaku #
	char ch;

	while(cin.get(ch)) // skončí při EOF
	{
		if (ch != '#')
			cout << ch;
		else
		{
			cin.putback(ch); // vloží znak zpět
			break;
		}
	}
	if (!cin.eof())
	{
		cin.get(ch);
		cout << endl << "Dalsim vstupnim znakem je " << ch << ".\n";
	}
	else
	{
		cout << "Konec souboru.\n";
		std::exit(0);
	}

	while(cin.peek() != '#') // předem kontroluje vstupní znaky
	{
		cin.get(ch);
		cout << ch;
	}
	if (!cin.eof())
	{
		cin.get(ch);
		cout << endl << "Dalsim vstupnim znakem je " << ch << ".\n";
	}
		else
	cout << "Konec souboru.\n";

	return 0;
}
